Bug 135659 - incorrect signature on rpcServer.resetServerList
incorrect signature on rpcServer.resetServerList
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 02:30 EDT by Alan Milligan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:23:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (457 bytes, text/plain)
2004-10-14 02:35 EDT, Alan Milligan
no flags Details

  None (edit)
Description Alan Milligan 2004-10-14 02:30:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1434, in
onChannelsPageNext
    self.pList.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 122, in run
    self.progressCallback)
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 315, in
getAvailableAllArchPackageList
    package_list = availablePackageList(
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 137, in
availablePackageList
    repos = repoDirector.initRepoDirector()
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 64, in
initRepoDirector
    up2dateRepo.register(rd)
  File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py",
line 335, in register
    up2dateRepo = Up2dateRepo()
  File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py",
line 292, in __init__
    serverSettings = ServerSettings()
  File "/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.py",
line 268, in __init__
    self.serverList.resetServerList(self.httpServerUrls)
TypeError: resetServerList() takes exactly 1 argument (2 given)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. up2date
2. forward thru login
3. forward thru channels
4. crashes ...
    

Additional info:
Comment 1 Alan Milligan 2004-10-14 02:35:22 EDT
Created attachment 105184 [details]
patch

another simple patch
Comment 2 Alan Milligan 2004-12-11 13:14:32 EST
Hi, we'd really like to see this patch applied to FC4 please!
Comment 3 Adrian Likins 2004-12-13 14:38:10 EST
hmm, I'm assuming the config variable "useNoSSLForPackages"
is set?

as a workaround, you could disable that, since it doesn't
really apply for fedora.

fix should be in the next build
Comment 4 Alan Milligan 2004-12-13 21:09:01 EST
No, we definitely connect via SSL!

We don't need a workaround - we've applied the patch :)

Thank you very much for getting this into the build.

Comment 5 John Thacker 2006-10-29 15:23:05 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 6 John Thacker 2006-11-05 11:23:16 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.